/*
 * Class SED_MEDIUM_READER_WRITER_1
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_558 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_558 [] = {0xFF01,1551,557,0xFFFF};
static const EIF_TYPE_INDEX egt_2_558 [] = {0xFF01,557,0xFFFF};
static const EIF_TYPE_INDEX egt_3_558 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_558 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_558 [] = {0xFF01,557,0xFFFF};
static const EIF_TYPE_INDEX egt_6_558 [] = {0xFF01,557,0xFFFF};
static const EIF_TYPE_INDEX egt_7_558 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_558 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_558 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_558 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_558 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_558 [] = {0xFF01,557,0xFFFF};
static const EIF_TYPE_INDEX egt_13_558 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_14_558 [] = {0xFF01,921,0xFFFF};
static const EIF_TYPE_INDEX egt_15_558 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_16_558 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_17_558 [] = {0xFF01,669,0xFFFF};
static const EIF_TYPE_INDEX egt_18_558 [] = {0xFF01,674,0xFFFF};


static const struct desc_info desc_558[] = {
	{EIF_GENERIC(NULL), 9840, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_558), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_558), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_558), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_558), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_558), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_558), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_558), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_558), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_558), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_558), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_558), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_558), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x045B /*557*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_558), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9843, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9844, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6061, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9845, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9846, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9847, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6074, 8},
	{EIF_GENERIC(NULL), 6075, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 6076, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0695 /*842*/), 6077, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_558), 6078, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_558), 6079, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_558), 6080, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_558), 6081, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6082, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D7 /*875*/), 6089, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 6090, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 6091, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B9 /*860*/), 6092, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 6093, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06DD /*878*/), 6094, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6095, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 6096, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B3 /*857*/), 6097, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6098, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 6099, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6064, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 6065, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6066, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6067, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6068, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6069, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6070, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6071, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6072, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6100, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6101, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6102, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6103, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6104, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6105, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6106, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6107, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6108, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6109, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6110, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6059, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6060, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6086, 9},
	{EIF_GENERIC(NULL), 6087, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6088, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_558), 6111, 0},
	{EIF_GENERIC(egt_18_558), 9848, 4},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6113, 12},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6114, 16},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6115, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6116, 10},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6117, 20},
	{EIF_GENERIC(NULL), 9850, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9810, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9811, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9812, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9813, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9814, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9815, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9816, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9817, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9768, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9769, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9770, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9771, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9772, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9773, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9774, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9775, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9776, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9777, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9778, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9779, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9780, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9781, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9782, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9783, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9784, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9785, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9786, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9787, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9788, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9789, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9790, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9791, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9792, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9793, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9794, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9795, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9796, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9797, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9798, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9799, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9800, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9801, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9802, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9803, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9804, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9805, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9806, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9807, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9808, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9809, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9841, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9842, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9849, 0xFFFFFFFF},
};
void Init558(void)
{
	IDSC(desc_558, 0, 557);
	IDSC(desc_558 + 1, 1, 557);
	IDSC(desc_558 + 32, 131, 557);
	IDSC(desc_558 + 80, 953, 557);
	IDSC(desc_558 + 91, 1320, 557);
	IDSC(desc_558 + 141, 424, 557);
}


#ifdef __cplusplus
}
#endif
